> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.itential.com/itential-cloud/api-reference/gateway-configuration/get-gateway-configuration/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.itential.com/_mcp/server. # Get the Gateway configuration GET https://example.itential.io/gatewayConfiguration Returns the Gateway configuration including feature settings and available gateways. Reference: https://docs.itential.com/itential-cloud/api-reference/gateway-configuration/get-gateway-configuration ## Authentication - `Authorization` header (basic auth, required) — Basic authentication of the form `Basic `. ## Response ### 200 The Gateway configuration response including config and available gateways. - `state` (enum, required) — Status of the operation - Allowed values: `Success`, `Error` - `config` (object, required) — The Gateway feature configuration object - `features` (object, required) — Feature-specific configurations - `integrations` (object, required) — Integration feature configuration for gateway routing - `overrideGlobalCluster` (boolean, required) — Whether to override the global cluster configuration for integrations - `executionMode` (enum, required) — The execution mode for integrations - Allowed values: `direct`, `proxy`, `cluster_no_proxy` - `cluster` (string, optional, nullable) — The cluster ID to use for integrations when overriding global - `proxy` (object, optional, nullable) — Proxy configuration for integrations - `host` (string, required) — Proxy host address - `port` (string, required) — Proxy port number - `auth` (object, optional) — Proxy authentication credentials - `authMode` (enum, required) — Authentication mode for the proxy - Allowed values: `none`, `basic`, `secrets_manager` - `username` (string, optional) — Proxy authentication username - `password` (string, optional) — Proxy authentication password (encrypted when stored) - `default` (string, optional, nullable) — Default gateway cluster ID - `gateways` (list of object, required) — Array of available gateway instances - `_id` (string, optional) — Gateway MongoDB ObjectId - `cluster_id` (string, optional) — Gateway cluster identifier - `description` (string, optional) — User-defined description of the gateway - `enabled` (boolean, optional) — Whether the gateway is enabled - `readonly` (boolean, optional) — Whether the gateway is readonly - `groups` (list of string, optional) — Groups that can access this gateway - `certificates` (list of string, optional) — Certificate IDs associated with this gateway - `created` (string, optional) — Gateway creation timestamp - `created_by` (string, optional) — Username who created the gateway - `last_updated` (string, optional) — Last update timestamp - `last_updated_by` (string, optional) — Username who last updated the gateway - `last_connected` (string, optional) — Last connection timestamp - `last_connected_to` (string, optional) — IAP instance the gateway last connected to - `last_discovery` (string, optional) — Last discovery timestamp - `connection_status` (enum, optional) — Current connection status of the gateway - Allowed values: `connected`, `disconnected` ## Errors ### 500 Internal Server Error Error response from API - `any` ## Examples **Response** ```json { "state": "Success", "config": { "features": { "integrations": { "overrideGlobalCluster": true, "executionMode": "direct", "cluster": "string", "proxy": null } }, "default": "string" }, "gateways": [ { "_id": "string", "cluster_id": "string", "description": "string", "enabled": true, "readonly": true, "groups": [ "string" ], "certificates": [ "string" ], "created": "2024-01-15T09:30:00Z", "created_by": "string", "last_updated": "2024-01-15T09:30:00Z", "last_updated_by": "string", "last_connected": "2024-01-15T09:30:00Z", "last_connected_to": "string", "last_discovery": "2024-01-15T09:30:00Z", "connection_status": "connected" } ] } ``` **SDK Code** ```python import requests url = "https://example.itential.io/gatewayConfiguration" response = requests.get(url) print(response.json()) ``` ```javascript const url = 'https://example.itential.io/gatewayConfiguration'; const options = {method: 'GET'}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "net/http" "io" ) func main() { url := "https://example.itential.io/gatewayConfiguration" req, _ := http.NewRequest("GET", url, nil) res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://example.itential.io/gatewayConfiguration") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://example.itential.io/gatewayConfiguration") .asString(); ``` ```php request('GET', 'https://example.itential.io/gatewayConfiguration'); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://example.itential.io/gatewayConfiguration"); var request = new RestRequest(Method.GET); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let request = NSMutableURLRequest(url: NSURL(string: "https://example.itential.io/gatewayConfiguration")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```